AI Sync

Lessons

Reorder Lesson Media

POSThttps://app.rizzdial.com/api/knowledge-hub/lessons/{id}/media/reorder
Reorder Lesson Media
curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/lessons/<id>/media/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "media_ids": [
    9,
    8,
    7
  ]
}'
{
  "message": "Media files reordered successfully.",
  "success": true
}

Reorder Lesson Media#

Sets media sort_order from the array index (1 based). Requires manage-knowledge-hub-lessons.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 id from the matching list or builder. A raw numeric id is also accepted.

media_idsarraybodyrequired

Raw numeric id (not base64). The live route validates integer|exists. Only ids on this lesson are updated.

curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/lessons/MQ==/media/reorder \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"media_ids":[9,8,7]}'
messagestring

Media files reordered successfully.